Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CIntranet.config
Class Config

    java.lang.Object
      org.esupportail.portal.utils.channels.ConfigChannel
          org.esupportail.portal.channels.CIntranet.config.Config

All Implemented Interfaces:
  java.lang.Cloneable, org.esupportail.portal.utils.channels.IConfigActions, org.esupportail.portal.utils.channels.IConfigMail, org.esupportail.portal.utils.database.IConfigPools, IntranetConfig, SizeLimiter

public class Config
extends org.esupportail.portal.utils.channels.ConfigChannel
implements IntranetConfig, SizeLimiter

Config
Classe implémentant un mécanisme de singleton permettant la lecture du fichier
de configuration du canal Intranet
(c)Copyright ESup-Portail 2004

Version:
  2.0
Author:
  Mathieu Larchet

Constructor Summary
`Config()`

Method Summary
`void` | `addRessource(Ressource res)` Ajout d'une ressource physique de stockage
`java.lang.String` | `getAnnuaires()` La liste des annuaires à utiliser
`java.lang.String` | `getDataControler()` La classe d'implémentation du IDataControler
`java.lang.String` | `getDataDocument()` La classe d'implémentation du IDataDocument
`java.lang.String` | `getDataFolder()` La classe d'implémentation du IDataFolder
`java.lang.String` | `getDataIntranet()` La classe d'implémentation du IDataIntranet
`java.lang.String` | `getDataMIME()` La classe d'implémentation du IDataMIME
`java.lang.String` | `getDataOrder()` La classe d'implémentation du IDataOrder
`java.lang.String` | `getDataPopulation()` La classe d'implémentation du IDataPopulation
`java.lang.String` | `getDataPublicator()` La classe d'implémentation du IDataPublicator
`java.lang.String` | `getDataSearch()` La classe d'implémentation du IDataSearch
`java.lang.String` | `getDataSU()` La classe d'implémentation du IDataSU
`java.lang.String` | `getDataValidator()` La classe d'implémentation du IDataValidator
`java.lang.String` | `getGroupManager()` La classe d'implémentation du IGroupManager
`static Config` | `getInstance()` Récupération du singleton
`java.util.Hashtable` | `getRessources()` La liste des ressources physiques de stockage
`java.lang.String` | `getSecurityManager()` La classe d'implémentation du ISecurityManager
`int` | `getSizeUpload()` La taille limite des fichiers uploadés en octets
`void` | `setAnnuaires(java.lang.String liste)` La liste des annuaires à utiliser
`void` | `setDataControler(java.lang.String classname)` La classe d'implémentation du IDataControler
`void` | `setDataDocument(java.lang.String classname)` La classe d'implémentation du IDataDocument
`void` | `setDataFolder(java.lang.String classname)` La classe d'implémentation du IDataFolder
`void` | `setDataIntranet(java.lang.String classname)` La classe d'implémentation du IDataIntranet
`void` | `setDataMIME(java.lang.String classname)` La classe d'implémentation du IDataMIME
`void` | `setDataOrder(java.lang.String classname)` La classe d'implémentation du IDataOrder
`void` | `setDataPopulation(java.lang.String classname)` La classe d'implémentation du IDataPopulation
`void` | `setDataPublicator(java.lang.String classname)` La classe d'implémentation du IDataPublicator
`void` | `setDataSearch(java.lang.String classname)` La classe d'implémentation du IDataSearch
`void` | `setDataSU(java.lang.String classname)` La classe d'implémentation du IDataSU
`void` | `setDataValidator(java.lang.String classname)` La classe d'implémentation du IDataValidator
`void` | `setGroupManager(java.lang.String classname)` La classe d'implémentation du IGroupManager
`void` | `setSecurityManager(java.lang.String classname)` La classe d'implémentation du ISecurityManager
`void` | `setSizeUpload(java.lang.String size)` La taille limite des fichiers uploadés en octets

Methods inherited from class org.esupportail.portal.utils.channels.ConfigChannel
`addAction, addActions, addDisplayError, addGroup, addMailError, addPool, clone, getActions, getConnexionDefault, getDisplayError, getFrom, getGroupmapping, getLog, getLogLevel, getMessage, getPools, getSmtp, getSubject, getTo, getXmlEncoding, setActions, setDisplayError, setGroupmapping, setLog, setPools`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Config

    public Config()

Method Detail

### getInstance

    public static Config getInstance()

  Récupération du singleton

  Returns:

### setDataControler

    public void setDataControler(java.lang.String classname)

  La classe d'implémentation du IDataControler

  Specified by:
    `setDataControler` in interface `IntranetConfig`
  Parameters:
    `classname` -

### getDataControler

    public java.lang.String getDataControler()

  La classe d'implémentation du IDataControler

  Specified by:
    `getDataControler` in interface `IntranetConfig`
  Returns:

### getDataDocument

    public java.lang.String getDataDocument()

  La classe d'implémentation du IDataDocument

  Specified by:
    `getDataDocument` in interface `IntranetConfig`
  Returns:

### setDataDocument

    public void setDataDocument(java.lang.String classname)

  La classe d'implémentation du IDataDocument

  Specified by:
    `setDataDocument` in interface `IntranetConfig`
  Parameters:
    `classname` -

### getDataFolder

    public java.lang.String getDataFolder()

  La classe d'implémentation du IDataFolder

  Specified by:
    `getDataFolder` in interface `IntranetConfig`
  Returns:

### setDataFolder

    public void setDataFolder(java.lang.String classname)

  La classe d'implémentation du IDataFolder

  Specified by:
    `setDataFolder` in interface `IntranetConfig`
  Parameters:
    `classname` -

### getDataIntranet

    public java.lang.String getDataIntranet()

  La classe d'implémentation du IDataIntranet

  Specified by:
    `getDataIntranet` in interface `IntranetConfig`
  Returns:

### setDataIntranet

    public void setDataIntranet(java.lang.String classname)

  La classe d'implémentation du IDataIntranet

  Specified by:
    `setDataIntranet` in interface `IntranetConfig`
  Parameters:
    `classname` -

### getDataMIME

    public java.lang.String getDataMIME()

  La classe d'implémentation du IDataMIME

  Specified by:
    `getDataMIME` in interface `IntranetConfig`
  Returns:

### setDataMIME

    public void setDataMIME(java.lang.String classname)

  La classe d'implémentation du IDataMIME

  Specified by:
    `setDataMIME` in interface `IntranetConfig`
  Parameters:
    `classname` -

### getDataOrder

    public java.lang.String getDataOrder()

  La classe d'implémentation du IDataOrder

  Specified by:
    `getDataOrder` in interface `IntranetConfig`
  Returns:

### setDataOrder

    public void setDataOrder(java.lang.String classname)

  La classe d'implémentation du IDataOrder

  Specified by:
    `setDataOrder` in interface `IntranetConfig`
  Parameters:
    `classname` -

### getDataPopulation

    public java.lang.String getDataPopulation()

  La classe d'implémentation du IDataPopulation

  Specified by:
    `getDataPopulation` in interface `IntranetConfig`
  Returns:

### setDataPopulation

    public void setDataPopulation(java.lang.String classname)

  La classe d'implémentation du IDataPopulation

  Specified by:
    `setDataPopulation` in interface `IntranetConfig`
  Parameters:
    `classname` -

### getDataPublicator

    public java.lang.String getDataPublicator()

  La classe d'implémentation du IDataPublicator

  Specified by:
    `getDataPublicator` in interface `IntranetConfig`
  Returns:

### setDataPublicator

    public void setDataPublicator(java.lang.String classname)

  La classe d'implémentation du IDataPublicator

  Specified by:
    `setDataPublicator` in interface `IntranetConfig`
  Parameters:
    `classname` -

### getDataSearch

    public java.lang.String getDataSearch()

  La classe d'implémentation du IDataSearch

  Specified by:
    `getDataSearch` in interface `IntranetConfig`
  Returns:

### setDataSearch

    public void setDataSearch(java.lang.String classname)

  La classe d'implémentation du IDataSearch

  Specified by:
    `setDataSearch` in interface `IntranetConfig`
  Parameters:
    `classname` -

### getDataSU

    public java.lang.String getDataSU()

  La classe d'implémentation du IDataSU

  Specified by:
    `getDataSU` in interface `IntranetConfig`
  Returns:

### setDataSU

    public void setDataSU(java.lang.String classname)

  La classe d'implémentation du IDataSU

  Specified by:
    `setDataSU` in interface `IntranetConfig`
  Parameters:
    `classname` -

### getDataValidator

    public java.lang.String getDataValidator()

  La classe d'implémentation du IDataValidator

  Specified by:
    `getDataValidator` in interface `IntranetConfig`
  Returns:

### setDataValidator

    public void setDataValidator(java.lang.String classname)

  La classe d'implémentation du IDataValidator

  Specified by:
    `setDataValidator` in interface `IntranetConfig`
  Parameters:
    `classname` -

### setGroupManager

    public void setGroupManager(java.lang.String classname)

  La classe d'implémentation du IGroupManager

  Specified by:
    `setGroupManager` in interface `IntranetConfig`
  Parameters:
    `classname` -

### getGroupManager

    public java.lang.String getGroupManager()

  La classe d'implémentation du IGroupManager

  Specified by:
    `getGroupManager` in interface `IntranetConfig`
  Returns:

### setSecurityManager

    public void setSecurityManager(java.lang.String classname)

  La classe d'implémentation du ISecurityManager

  Specified by:
    `setSecurityManager` in interface `IntranetConfig`
  Parameters:
    `classname` -

### getSecurityManager

    public java.lang.String getSecurityManager()

  La classe d'implémentation du ISecurityManager

  Specified by:
    `getSecurityManager` in interface `IntranetConfig`
  Returns:

### addRessource

    public void addRessource(Ressource res)

  Ajout d'une ressource physique de stockage

  Specified by:
    `addRessource` in interface `IntranetConfig`
  Parameters:
    `res` -

### getRessources

    public java.util.Hashtable getRessources()

  La liste des ressources physiques de stockage

  Specified by:
    `getRessources` in interface `IntranetConfig`
  Returns:

### setSizeUpload

    public void setSizeUpload(java.lang.String size)

  La taille limite des fichiers uploadés en octets

  Specified by:
    `setSizeUpload` in interface `SizeLimiter`
  Parameters:
    `size` -

### getSizeUpload

    public int getSizeUpload()

  La taille limite des fichiers uploadés en octets

  Specified by:
    `getSizeUpload` in interface `SizeLimiter`
  Returns:

### getAnnuaires

    public java.lang.String getAnnuaires()

  La liste des annuaires à utiliser

  Specified by:
    `getAnnuaires` in interface `IntranetConfig`
  Returns:

### setAnnuaires

    public void setAnnuaires(java.lang.String liste)

  La liste des annuaires à utiliser

  Specified by:
    `setAnnuaires` in interface `IntranetConfig`
  Parameters:
    `liste` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD